<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".AutoActivity">

    <TextView
        android:id="@+id/teamnumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="2648"
        android:textColor="#FFFFFF"
        android:textSize="34sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout"
        app:layout_constraintEnd_toStartOf="@+id/matchNumber"
        app:layout_constraintStart_toStartOf="parent" />


    <TextView
        android:id="@+id/matchNumber"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:text="01"
        android:textColor="#FFFFFF"
        android:textSize="34sp"
        app:layout_constraintBottom_toTopOf="@+id/linearLayout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/teamnumber" />


    <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:text="@string/auto"
        android:textColor="#FFFFFF"
        android:textSize="48sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/button_Next"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <CheckBox
            android:id="@+id/cb_CanLeave"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/can_leave"
            android:textColor="#FFFFFF"
            tools:ignore="VisualLintButtonSize" />

        <CheckBox
            android:id="@+id/Climb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="Climb"
            android:textColor="#FFFFFF"
            tools:ignore="VisualLintButtonSize" />

    </LinearLayout>

    <TextView
        android:id="@+id/textView3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:text="@string/hold_button_to_ndecrement"
        android:textColor="#FFFFFF"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/textView2"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/button_Next"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="#FF5722"
        android:text="Next(Hold)"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/BackButton" />

    <Button
        android:id="@+id/BackButton"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="#FF5722"
        android:text="Back(Hold)"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/button_Next"
        app:layout_constraintStart_toStartOf="parent" />


    <Button
        android:id="@+id/Hub"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="#40FF5722"
        android:text="hub +1 : 0x"
        android:textColor="@android:color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/Hub5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView2"
        app:strokeColor="#FF5722"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/Hub5"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="#40FF5722"
        android:text="hub +5 : 0x"
        android:textColor="@android:color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/Hub10"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Hub"
        app:strokeColor="#FF5722"
        app:strokeWidth="5dp" />

    <Button
        android:id="@+id/Hub10"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:backgroundTint="#40FF5722"
        android:text="hub +10 : 0x"
        android:textColor="@android:color/white"
        android:textSize="20sp"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/teamnumber"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Hub5"
        app:strokeColor="#FF5722"
        app:strokeWidth="5dp" />


</androidx.constraintlayout.widget.ConstraintLayout>
